package services

import (
	"project_management/app/e"
	"project_management/app/model"
	"project_management/unity"
)

type Capabilities interface {
	AddCapabilities(capabilities model.Capabilities) e.Rescode
	GetCapabilitiesList(params unity.QueryPageParams, capabilities model.Capabilities, queryCond interface{}) (result []model.Capabilities, total int64, err error)
	GetCapabilitiesById(id string) (model.Capabilities, error)
}
